commit:     5ca7980e2a3cde44db093c3b8a1ce34dcecf39e9
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 18 06:42:05 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul 18 06:48:33 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ca7980e

dev-ruby/activesupport: add rails 4.2.7 with ruby23

Package-Manager: portage-2.2.28

 dev-ruby/activesupport/Manifest                   |  1 +
 dev-ruby/activesupport/activesupport-4.2.7.ebuild | 67 +++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index c1bf85f..3bf573b 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -3,3 +3,4 @@ DIST rails-4.0.13.tgz 3761572 SHA256 
a693a8c5f767d153e765634cecb6356855ca51b6554
 DIST rails-4.1.15.tgz 3729946 SHA256 
df54609b05298f5c0c9eb4e00bb82c61133d955021fe58ffab2efacd76ac6ce5 SHA512 
0a8c944fece6c060718f0c7769ae80baa161357ac8b49e69a11e9bbf43476c633cd3ed51b13e3c0f364e47b3167879de5f57146e76f01a59e026b97166aeba2c
 WHIRLPOOL 
75fbd9a1e7b988c47c7a26bffb5e58cd2c33af9a5e83b03ecee09b35c7497d82aa580fd20dbdf34237b9d9594ed772a346e32d6430becc1fdf854581c8ebef8e
 DIST rails-4.1.16.tgz 3730763 SHA256 
fd17ccacee3a61c17d2cfa36db36f583ed3d05eac504e4bb06ec65629965f499 SHA512 
d342ab0ede9f4642d809114fb8518d09a63da8bda66f866f2f81646b247d7da2235e81f818793ae86c4c2365624d5b35898d4f1693093019d3639a1dcb872ac1
 WHIRLPOOL 
fe1bc9866c5005f8232a3d339811afe183aef53c1f1d8a8a9250b447e941309cb415592309d8bb3367add028a98c5cdb4cc6180d0f49e1c76337668763460536
 DIST rails-4.2.6.tgz 4179056 SHA256 
68bf40c27e0ee75b26c7b48fbe357f024b8d6d322a4ecf5c3427b4d6ef959fef SHA512 
040599aa1c6a09ca569f377b1f49a4404d9516599d16d6909f93ffd2e387dfb20835a2842980cc5c119aaef411985e47f55ec8907041ff633b8f98ea101a42d0
 WHIRLPOOL 
1aef2ff5790fa94f1003fa6acdcad26b7bcb6a6a02f075e41a6ba5a5b77790420afa57ea64d3192e92de595161ba3741e7e7f8be7dbac6871ba5137a53f81efe
+DIST rails-4.2.7.tgz 4181136 SHA256 
31005bc5892ef4d478016f4ef66c7708d0bfc440d917dac8a5e84a461fa2a980 SHA512 
89df542cac1cf31be376fff3d919860168ce5df0dcd51035411a7f82a59a6fc27d8aecdd92dc20dee59831745ecab1ff8e404756dbc85a1ec08c3f2c1721e7dc
 WHIRLPOOL 
15653098db0702b5e76e6fc4eba0f4fa6eaf73b30a23d1bf10e08cd999452608325ebba25c87b85d790ab49cf8ba216f40ee4dc25bd072cc8be89546af378542

diff --git a/dev-ruby/activesupport/activesupport-4.2.7.ebuild 
b/dev-ruby/activesupport/activesupport-4.2.7.ebuild
new file mode 100644
index 0000000..6bf2f19
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-4.2.7.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc64 ~x86 ~amd64-linux ~ppc-macos 
~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       >=dev-ruby/i18n-0.7:0.7
+       >=dev-ruby/json-1.7.7:0
+       >=dev-ruby/tzinfo-1.1:1
+       >=dev-ruby/minitest-5.1:5
+       >=dev-ruby/thread_safe-0.3.4:0"
+
+# memcache-client, nokogiri, and builder are not strictly
+# needed, but there are tests using this code.
+ruby_add_bdepend "test? (
+       >=dev-ruby/dalli-2.2.1
+       >=dev-ruby/nokogiri-1.4.5
+       >=dev-ruby/builder-3.1.0
+       dev-ruby/rack
+       dev-ruby/mocha:0.14
+       )"
+
+all_ruby_prepare() {
+       # Set the secure permissions that tests expect.
+       chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -i -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|mysql\|journey\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|sprockets-rails\|redcarpet\|bcrypt\|uglifier\|minitest\|mime-types\|sprockets\|stackprof\|rack-cache\|sqlite\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' \
+               -e 's/gemspec/gemspec path: "activesupport"/' \
+               -e '5igem "builder"; gem "rack"' ../Gemfile || die
+       rm ../Gemfile.lock || die
+
+       # Avoid test that seems to be broken by lack of DST.
+       sed -i -e '369 s:^:#:' test/core_ext/string_ext_test.rb || die
+
+       # Avoid test that fails with Minitest 5.4 since that already defines
+       # a string E in its TestCase.
+       rm test/core_ext/marshal_test.rb || die
+       sed -i -e '/test_const_missing_in_anonymous_modules/askip "gentoo 
minitest"' test/dependencies_test.rb || die
+}

Reply via email to